Subject: Re: bug#72681: 31.0.50; visual-wrap-prefix-mode interacts badly with plain lists in org-mode

From: "Mark Hepburn" <[email-masked]>
Date: Sun, 18 Aug 2024 19:53:36 +1000

Hi again Jim,

I haven't isolated this one yet, but I'm flagging in case it rings any bells for you -- I'm getting rendering-lockups with dart-mode when I enable visual-wrap-prefix-mode.  I've checked a couple of other programming modes which seem fine.  My money was on lsp-mode (and maybe lens display), but I've disabled lsp entirely and it still locks up.

I don't get a backtrace (with debug-on-error), but I can get this (when I hit C-n to see anything is happening, as the screen goes blank):
===
Debugger entered--Lisp error: (args-out-of-range 519 519)
  line-move-visual(1 nil)
  line-move(1 nil nil 1)
  next-line(1 1)
  funcall-interactively(next-line 1 1)
  command-execute(next-line)
===

I'll keep trying to isolate it.  So far my repo is "open .dart file, M-x visual-wrap-prefix-mode".

cheers, Mark

On Sun, Aug 18, 2024, at 11:40 AM, Jim Porter wrote:
> On 8/17/2024 5:02 PM, Mark Hepburn wrote:
> > Thanks Jim, nice work -- yes that seems to work perfectly again for all 
> > the problematic files I had before.
> 
> Great, thanks for checking. I've therefore merged this to the master 
> branch as 135da3556bb. Closing this bug now.
> 
> (Though of course if you find any other issues with the new 
> 'visual-wrap-prefix-mode' code, just let me know and I'll try to fix it.)
>